[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: refuse to schedule more than 50 packages with notification

Holger Levsen holger at moszumanska.debian.org
Fri May 15 12:31:12 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit afa16791745305232da12db2e38ed7f496a32828
Author: Holger Levsen <holger at layer-acht.org>
Date:   Fri May 15 14:31:07 2015 +0200

    reproducible: refuse to schedule more than 50 packages with notification
---
 bin/reproducible_schedule_on_demand.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/bin/reproducible_schedule_on_demand.sh b/bin/reproducible_schedule_on_demand.sh
index e2b0f7a..6ae4af1 100755
--- a/bin/reproducible_schedule_on_demand.sh
+++ b/bin/reproducible_schedule_on_demand.sh
@@ -42,6 +42,13 @@ case "$1" in
 esac
 
 CANDIDATES="$@"
+if [ ${#} -gt 50 ] && $NOTIFY ; then
+	echo
+	figlet "No."
+	echo "Do not schedule more than 50 packages with notification. If you really really need to spam the IRC channel this much, use a loop to achieve that. Exiting."
+	echo
+	exit 1
+fi
 check_candidates
 if [ ${#PACKAGE_IDS} -gt 256 ] ; then
 	BLABLABLA="✂…"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list